pipeline:
  build-frontend:
    image: node:16
    commands:
      - cd frontend
      - npm i
      - npm run build
  publish-frontend:
    image: node:16
    secrets:
      - meli_api_token
    commands:
      - cd frontend
      - npx -p "@getmeli/cli" meli upload .output/public --url https://meli.xeovalyte.dev --site 1e43e574-3eea-4e90-8c52-8a9bcab54f3a --token $$MELI_API_TOKEN --branch "main"

  build-backend:
    image: node:16
    commands:
      - cd backend
      - npm i

  publish-backend:
    image: plugins/docker
    secrets:
      - docker_password
    settings:
      username: xeovalyte
      password:
        from_secret: docker_password
      repo: gitea.xeovalyte.dev/xeovalyte/wrbapp
      tags:
        - latest
      registry: gitea.xeovalyte.dev

      